#ifdef POSITION
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Component.h"

namespace morpheo              {
namespace behavioural          {

  void Component::generate_file (void)
  {
    log_printf(FUNC,Behavioural,"Component::generate_file","Begin");

    try 
      {
	XML xml = toXML();

	xml.filename_extension ("pos");
	
	xml.generate_file("ISO-8859-1");

      }
    catch (ErrorMorpheo e)
      {
	throw (ErrorMorpheo ("Component \""+_entity->get_name()+"\" have a bad mapping : "+e.what()));
      }

    log_printf(FUNC,Behavioural,"Component::generate_file","End");
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
#endif
